## psst 0.1

=== Makefile ===
VERSION = 0.1
BINDIR=usr/bin
WARNFLAGS=-Wall -Wformat
CC=gcc

CFLAGS+= -D VERSION=\"$(VERSION)\"
CFLAGS+= -D_LINUX_
#CFLAGS+= -DDEBUG -g3 -ggdb -O0 -gdwarf-2
LDFLAGS+= -DPASS2
TARGET=psst

INSTALL_PROGRAM=install -m 755 -p
DEL_FILE=rm -f

INSTALL_CONFIGFILE=install -m 644 -p
CONFIG_FILE=
CONFIG_PATH=

OBJS =  parse_config.o logger.o rapl.o perf_msr.o psst.o
OBJS +=

psst: $(OBJS) Makefile psst.h
	$(CC) ${CFLAGS} $(LDFLAGS) $(OBJS) -o $(TARGET) -lpthread -lrt -lm

install:
	- mkdir -p $(INSTALL_ROOT)/$(BINDIR)
	- $(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/$(BINDIR)/$(TARGET)"
	- mkdir -p $(INSTALL_ROOT)/$(CONFIG_PATH)
	- $(INSTALL_CONFIGFILE) "$(CONFIG_FILE)" "$(INSTALL_ROOT)/$(CONFIG_PATH)"

uninstall:
	$(DEL_FILE) "$(INSTALL_ROOT)/$(BINDIR)/$(TARGET)"
	$(CONFIG_FILE) "$(CONFIG_PATH)"

clean:
	find . -name "*.o" | xargs $(DEL_FILE)
	rm -f $(TARGET)

dist:
	git tag v$(VERSION)
	git archive --format=tar --prefix="$(TARGET)-$(VERSION)/" v$(VERSION) | \
	gzip > $(TARGET)-$(VERSION).tar.gz
