=== debian/changelog ===
psst (0.1-7) unstable; urgency=medium

  * Add some fixes to minor issues found with static analysis
    - parse_config: fix incorrect strncpy length (off-by-one)
    - parse_config: ensure strings copied from optarg with
      strncpy are always terminated with '\0'
    - initialize last_duty_cycle to 0.0 to avoid static
      analysis warnings

 -- Colin King <colin.king@canonical.com>  Thu, 9 Aug 2018 17:11:44 +0100

psst (0.1-6) unstable; urgency=medium

  [ Noor Mubeen ]
  * Add scale factor column to output
  [ Colin King ]
  * Remove white space from debian/control
  * Use https for debian/copyright URL

 -- Colin King <colin.king@canonical.com>  Tue, 15 May 2018 10:55:23 +0100

psst (0.1-5) unstable; urgency=medium

  * Update debian/compat to 11
  * Fix global-files-wildcard-not-first-paragraph-in-dep5-copyright

 -- Colin King <colin.king@canonical.com>  Tue, 6 Mar 2018 04:17:11 +0000

psst (0.1-4) unstable; urgency=medium

  * Fix version and verbose command line options (don't need parameters)
  * Fix version option in man page and help

 -- Colin King <colin.king@canonical.com>  Fri, 15 Dec 2017 09:22:23 +0000

psst (0.1-3) unstable; urgency=medium

  * fix a bug that caused issue when cpu0 not selected

 -- Colin King <colin.king@canonical.com>  Thu, 14 Dec 2017 10:58:14 +0000

psst (0.1-2) unstable; urgency=medium

  * update Standards-Version to 4.1.2
  * Pull in some upstream fixes:
   - Add man page makefile changes
   - logger: use logical or rather than bitwise or
   - logger: ensure 'found' is initialized to zero
   - parse_config: avoid several memory leaks on allocated strings
   - cleanups to logger, parse_config, psst
   - Fix less-than-zero comparison on an unsigned integer
   - logger: check if strtok returns null string
   - logger: move pclose to ensure fp is closed for all cases
   - psst: improve precision by casting MSEC_PER_SEC to float before
     division
   - logger: close file descriptor if open succeeds, fixes resource leak
   - logger: ensure path is initialized to avoid open on garbage path
     name
   - parse_config: check for NULL return from strtok
   - parse_config: pclose fp on error exit return path
   - logger: initialize a_diff and m_diff
   - logger: initialize buf to an empty string to avoid atoi() reading
     garbage
   - parse_config: don't use popen to read a sys file and terminate buffer

 -- Colin King <colin.king@canonical.com>  Fri, 8 Dec 2017 13:16:23 +0000

psst (0.1-1) unstable; urgency=medium

  * Initial packaging of psst (Closes: #883001)

 -- Colin King <colin.king@canonical.com>  Tue, 28 Nov 2017 12:12:11 +0100
