=== debian/control ===
Source: psst
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Uploaders: Kamal Mostafa <kamal@whence.com>
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 11)
Homepage: https://01.org/power-stress-and-shaping-tool

Package: psst
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: power stress and shaping tool
 Power Stress and Shaping Tool (PSST) is a controlled power tool
 for Intel SoC components such as CPU and GPU. PSST enables very
 fine control of stress function without its own process overhead
