=== debian/watch ===
version=3
https://01.org/power-stress-and-shaping-tool/downloads \
  .*/psst-v(.+)\.tar.*\.gz
