=== debian/changelog ===
psst (1.0-9) unstable; urgency=medium

  * Orphan upload
  * Update Maintainer field to Debian QA Group <packages@qa.debian.org>
    so package can be orphaned
  * Update standards-version to v4.7.2
  * Update debian copyright to 2025
  * Update homepage URL

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 15 Sep 2025 15:01:22 +0100

psst (1.0-8) unstable; urgency=medium

  * debian/copyright: update copyright year
  * debian/rules: add missing hardening rule
  * correct date in changelog

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 14:13:12 +0000

psst (1.0-7) unstable; urgency=medium

  * Add patch for fix:
    parse_config: limit sscanf %s size to avoid buffer overflow in buf
    https://github.com/intel/psst/pull/26

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 24 Dec 2023 11:38:14 +0000

psst (1.0-6) unstable; urgency=medium

  * Fix fails to build source after successful build (Closes: #1046635)

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 14 Aug 2023 10:10:12 +0100

psst (1.0-5) unstable; urgency=medium

  * debian/control: update standards version to 4.6.2
  * debian/watch: add watch file
  * debian/copyright: update copyright year

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 28 Jul 2023 18:14:43 +0100

psst (1.0-4) unstable; urgency=medium

  * debian/control: update Homepage to new github location
  * debian/control: update standards version to 4.6.1
  * debian/control: update Maintainer to new email address
  * debian/copyright: correct the copyright for packaging files
  * debian/watch: remove as new upstream repo is not tagged

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 14 Dec 2022 12:23:25 +0000

psst (1.0-3) unstable; urgency=medium

  * Debian/control: update compat to 13, remove compat file,
    add Rules-Requires-Root rule

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 15:54:28 +0100

psst (1.0-2) unstable; urgency=medium

  * Fix gcc-10 build failures (Closes: #957715)
   - 9099338080ba "Fix issue#17 reported with gcc-10"

 -- Colin King <colin.king@canonical.com>  Fri, 17 Apr 2020 19:24:11 +0100

psst (1.0-1) unstable; urgency=medium

  * Sync with upstream version 1.0
   - remove debian patches as these are now all integrated into
     the upstream 1.0 version

 -- Colin King <colin.king@canonical.com>  Mon, 9 Mar 2020 10:49:23 +0000

psst (0.1-11) unstable; urgency=medium

  * Add upstream fixes:
   - ae426acb1d12 "pedantic return checks to clock_gettime"
   - c36421ce5ddf "Fix gcc 9.2.1 compile warning"

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 16:16:12 +0000

psst (0.1-10) unstable; urgency=medium

  * Add upstream fixes:
   - 6b0eb907b009 "parse_config: check for null return from strchr"
   - 479714db734f "logger: only strcmp string value if it is a valid
                   string"

 -- Colin King <colin.king@canonical.com>  Thu, 2 Jan 2020 10:41:52 +0100

psst (0.1-9) unstable; urgency=medium

  * Update to compat level 12

 -- Colin King <colin.king@canonical.com>  Mon, 12 Aug 2019 19:29:12 +0100

psst (0.1-8) unstable; urgency=medium

  * Add upstream spelling mistake fix
   - 87d2119689ee ('Trival spelling mistake fix to "couldnt"')

 -- Colin King <colin.king@canonical.com>  Sun, 7 Jul 2019 17:47:34 +0100
