=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: psst
+Rules-Requires-Root: no
 Section: devel
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
-Uploaders: Kamal Mostafa <kamal@whence.com>
-Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 11)
-Homepage: https://01.org/power-stress-and-shaping-tool
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 4.7.2
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (=13)
+Homepage: https://github.com/intel/psst
 
 Package: psst
 Architecture: i386 amd64
